package com.uas.search;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 系统配置信息
 * 
 * @author sunyj
 * @since 2016年12月13日 上午10:20:54
 */
@Component
public class SystemProperties {

	/**
	 * 定时任务是否自动开启
	 */
	@Value("${schedule.auto-start}")
	private boolean taskAutoStart;

	public boolean isTaskAutoStart() {
		return taskAutoStart;
	}

	public void setTaskAutoStart(boolean taskAutoStart) {
		this.taskAutoStart = taskAutoStart;
	}

}
